title: Now Playing
icon: mdi:play  
path: now-playing
panel: true
visible: false
cards:

  - type: custom:layout-card
    layout: vertical
    cards:

    - type: custom:mini-media-player
      entity: media_player.chromecastaudio_kitchen
      artwork: full-cover
      idle_view: true
      hide:
        name: true
        icon: true
        info: true
        source: true
        controls: true
        power: true
        volume: true
        mute: true
        progress: true

    - break

    - type: custom:stack-in-card
      cards:
      - type: custom:mini-media-player
        entity: media_player.chromecastaudio_kitchen
        name: 'Now Playing'
        artwork: none
        idle_view: true
        scale: 1.7
        volume_stateless: true
        volume_step: 5
        hide:
          icon: true
      - type: conditional
        conditions:
          - entity: media_player.chromecastaudio_downstairs
            state_not: 'off'
        card:
          type: custom:mini-media-player
          entity: media_player.chromecastaudio_stereo
          name: Living Room
          artwork: none
          idle_view: true
          group: true
          volume_stateless: true
          hide:
            controls: true
            power: true
            icon: true
            info: true
            progress: true

    - type: custom:button-card
      color_type: card
      color: var(--primary-color)
      name: 'Back'
      layout: vertical
      tap_action: 
        action: navigate
        navigation_path: /kitchen-db/main
      styles:
        card:
          - height: var(--action-button-height-big)
          - font-size: var(--action-button-font-big)